# community.routeros.quote_argument_value filter – Quote an argument value

Note

This filter plugin is part of the community.routeros collection (version 2.8.3).

To install it, use: `ansible-galaxy collection install community.routeros`.

To use it in a playbook, specify: `community.routeros.quote_argument_value`.

New in community.routeros 2.0.0

## Synopsis

- Quote an argument value.

## Input

This describes the input of the filter, the value before `| community.routeros.quote_argument_value`.

Parameter | Comments
--- | ---
Input string / required | An argument value to quote.

## Examples

    - name: Quote a RouterOS CLI command argument's value
      ansible.builtin.set_fact:
        quoted: "{{ 'this is a "comment"' | community.routeros.quote_argument_value }}"
        # Should result in '"this is a \"comment\""'

## Return Value

Key | Description
--- | ---
Return value string | The quoted argument value. Returned: success

### Authors

- Felix Fontein (@felixfontein)

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.

### Collection links

Issue Tracker Repository (Sources) Submit a bug report Request a feature Communication